Self-serve contractor payments
Self Serve Deactivate Contractors
Bulk soft-deletes contractors by setting revokedAt and writing an audit row per contractor.
POSThttps://api.toku.com/hris/self-serve-deactivate-contractors
Not available to API keys yet. It will need people:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-deactivate-contractors' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"success": true,
"count": 0,
"failedIds": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIdsstring<uuid>[]requiredAllowed: at least 1 items
Response
200Successful response
successbooleanrequiredcountintegerrequiredfailedIdsstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits